Skip to main content
GET
/
v2
/
evaluate
/
compare
Compare Evaluation Runs
curl --request GET \
  --url https://api.valiqor.com/v2/evaluate/compare \
  --header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "name": "<string>",
      "mode": "<string>",
      "source": "<string>",
      "status": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "total_items": 123,
      "evaluated_items": 123,
      "overall_score": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "metrics": [
    {
      "metric_id": "<string>",
      "metric_key": "<string>",
      "metric_name": "<string>",
      "values": {},
      "differences": {}
    }
  ],
  "baseline_run_id": "<string>"
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Query Parameters

run_ids
string[]
required

List of run IDs to compare (2-5 runs)

Response

Successful Response

Compare multiple evaluation runs

runs
EvaluationRunResponse · object[]
required
metrics
EvaluationRunComparisonMetric · object[]
required
baseline_run_id
string
required